package org.texustek.mirror.aidl;


// 蓝牙信息调
interface IMirrorAdapterBluetoothCallback {

	/**
	 * 请求向Rfcomm写数据
	 * @param status
	 */
	  void onRequestWriteRfcomm(in byte[]data);
	
	  //请求打开Rfcomm
	  void onRequestOpenRfcomm(in byte[]mac,String uuid);
	  
	  //请求关闭Rfcomm
	  void onRequestCloseRfcomm();
	  
	  //请求断开蓝牙
	  void onRequestDisconnectBluetooth();
	  
	      //请求蓝牙配对状态0为断开，1为连接上
    int onRequestBluetoothConnectState();

    
    //请求本地蓝牙的MAC地址
    byte[] onRequestLocalBluetoothMacAddress();
    
    
    //请求手机端蓝牙MAC地址
    byte[]  onRequestPairedPhoneBluetoothMacAddress();
    
    
    //请求获取uuids列表
    List<String> onRequestPairedBluetoothUuids();
    
    //请求获取Rfcomm 的连通状态
    int onRequestRfcommConnectState();
    
    
    //请求获取车机侧倒车状态：0为非倒车，1为倒车
    int onRequestMpuBackCarStatus();
    
    // SpeedPlay连接状态
    void onSpeedPlayConnectState(int state,String phoneMode);


}
