package org.texustek.mirror.aidl;
import org.texustek.mirror.aidl.IMirrorSdkSystemCallback;


//系统相关接口
interface IMirrorSdkSystemServer {

    
    void registerCallBack(in IMirrorSdkSystemCallback callback);
    void unregisterCallBack(in IMirrorSdkSystemCallback callback);
    
    String getPhoneMode();
    
    boolean isMirroring();
  
  
    int getConnectState();
    
    void surfaceCreated();
    
    void surfaceChanged(int format, int width, int height);
    
    void surfaceDestroyed();
    
    void onCreate();
    
    void onResume();
    
    void onPause();
    
    void onStop();
    
    void onDestroy();
 
}
 