package android.microntek.mtcser;


interface BTServiceInf{

	void 	init();
	
	byte 	getBTState();
	byte 	getAVState();

	String 	getDialOutNum();
	String 	getCallInNum();	
	String  getPhoneNum();
	boolean IsThreeWayCalling();
	boolean IsConferenceCalling();
	String  getThreeWayCallNum();
    List<String> getCallingNumberList();
	
	long 	getNowDevAddr();
	String 	getNowDevName();
	List<String> getNowDevUuids();

    void    avPlay();
	void 	avPlayPause();
	void 	avPlayStop();
	void 	avPlayPrev();
	void 	avPlayNext();

	void 	answerCall();
	void 	hangupCall();
	void 	rejectCall();
	
	void    addCall();
	void    swichCall();
	void    mergeCall();
	void    voiceControl();

	void 	switchVoice();

	void 	syncPhonebook();
	
	String 	getModuleName();
	String 	getModulePassword(); 
	void 	setModuleName(String name);
	void 	setModulePassword(String password);


	void 	setAutoConnect(boolean auto);
	boolean getAutoConnect();
	void 	setAutoAnswer(boolean auto);
	boolean getAutoAnswer();

	// liuxu	
	void 	connectBT(String mac);
	void 	disconnectBT(String mac);
	void 	connectOBD(String mac);
	void 	disconnectOBD(String mac);
	void 	deleteOBD(String mac);
	void 	deleteBT(String mac);
	
	void 	syncMatchList();
	List<String> getMatchList();
	List<String> getDeviceList();
	List<String> getHistoryList();
	List<String> getPhoneBookList();
	void setPhoneBookList(in List<String> list);
	
	void 	deleteHistory(int idx);
	void 	deleteHistoryAll();
	
	void 	musicMute();
	void 	musicUnmute();
	void 	scanStart();
	void 	scanStop();
	void 	dialOut(String s);
	void 	dialOutSub(char b);
	void 	reDial();
	
	String getMusicInfo();
	
	int getOBDstate();

	void requestBtInfo();
	
}
